package org.wfc.omada.api.msp.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * UsedLicenseDetailOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:44:08.065+08:00[Asia/Shanghai]")

public class UsedLicenseDetailOpenApiVo   {
  @JsonProperty("licenseId")
  private String licenseId;

  @JsonProperty("expirationTime")
  private Long expirationTime;

  public UsedLicenseDetailOpenApiVo licenseId(String licenseId) {
    this.licenseId = licenseId;
    return this;
  }

  /**
   * License key
   * @return licenseId
  */
  @ApiModelProperty(value = "License key")


  public String getLicenseId() {
    return licenseId;
  }

  public void setLicenseId(String licenseId) {
    this.licenseId = licenseId;
  }

  public UsedLicenseDetailOpenApiVo expirationTime(Long expirationTime) {
    this.expirationTime = expirationTime;
    return this;
  }

  /**
   * License expiration time, unit: ms
   * @return expirationTime
  */
  @ApiModelProperty(value = "License expiration time, unit: ms")


  public Long getExpirationTime() {
    return expirationTime;
  }

  public void setExpirationTime(Long expirationTime) {
    this.expirationTime = expirationTime;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    UsedLicenseDetailOpenApiVo usedLicenseDetailOpenApiVo = (UsedLicenseDetailOpenApiVo) o;
    return Objects.equals(this.licenseId, usedLicenseDetailOpenApiVo.licenseId) &&
        Objects.equals(this.expirationTime, usedLicenseDetailOpenApiVo.expirationTime);
  }

  @Override
  public int hashCode() {
    return Objects.hash(licenseId, expirationTime);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class UsedLicenseDetailOpenApiVo {\n");
    
    sb.append("    licenseId: ").append(toIndentedString(licenseId)).append("\n");
    sb.append("    expirationTime: ").append(toIndentedString(expirationTime)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

